Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.0.0 E15725-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tangosol.util
Class SegmentedConcurrentMap.LockAction

`java.lang.Object
com.tangosol.util.SegmentedConcurrentMap.LockAction`

All Implemented Interfaces:
  SegmentedHashMap.EntryAction

Enclosing class:
  SegmentedConcurrentMap

      protected class SegmentedConcurrentMap.LockAction

extends Object
implements SegmentedHashMap.EntryAction

Action support for lock(). This action attempts to lock the specified key in this map, and is expected to run while holding the segment-lock for the specified key. <p/> The context object for a LockAction is the prospective lock-holder. <p/> The result of invoking a LockAction is `NO_VALUE` if the key is successfully locked, or the Entry object corresponding to the specified key if the key could not be successfully locked.

Constructor Summary
`protected` | `SegmentedConcurrentMap.LockAction()`

Method Summary
`Object` | `invokeFound(Object oKey, Object oContext, SegmentedHashMap.Entry[] aeBucket, int nBucket, SegmentedHashMap.Entry entryPrev, SegmentedHashMap.Entry entryCur)` Invoke some action, holding the segment lock, when a matching Entry is found.
`Object` | `invokeNotFound(Object oKey, Object oContext, SegmentedHashMap.Entry[] aeBucket, int nBucket)` Invoke some action, holding the segment lock, when no matching Entry is found.

Constructor Detail

### SegmentedConcurrentMap.LockAction

    protected SegmentedConcurrentMap.LockAction()

Method Detail

### invokeFound

    public Object invokeFound(Object oKey,
                              Object oContext,
                              SegmentedHashMap.Entry[] aeBucket,
                              int nBucket,
                              SegmentedHashMap.Entry entryPrev,
                              SegmentedHashMap.Entry entryCur)

  Invoke some action, holding the segment lock, when a matching Entry is found.
  Specified by:
    `invokeFound` in interface `SegmentedHashMap.EntryAction`
  Parameters:
    `oKey` - the key to which the action is applied
    `oContext` - opaque context specific to the action
    `aeBucket` - the bucket array
    `nBucket` - the index into the bucket array
    `entryPrev` - the Entry object immediately preceding the Entry that was found, or null
    `entryCur` - the Entry object that was found
  Returns:
    an opaque result value

### invokeNotFound

    public Object invokeNotFound(Object oKey,
                                 Object oContext,
                                 SegmentedHashMap.Entry[] aeBucket,
                                 int nBucket)

  Invoke some action, holding the segment lock, when no matching Entry is found.
  Specified by:
    `invokeNotFound` in interface `SegmentedHashMap.EntryAction`
  Parameters:
    `oKey` - the key to which the action is applied
    `oContext` - opaque context specific to the action
    `aeBucket` - the bucket array
    `nBucket` - the index into the bucket array
  Returns:
    an opaque result value

Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.0.0 E15725-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.